Subject: RE: bug#28888: 26.0.90; nt/INSTALL.W64
From: Francis Wright <[email-masked]>
To: Noam Postavsky <[email-masked]>
Date: Wed, 18 Oct 2017 16:06:37 +0000

> From: Noam Postavsky [mailto:[email-masked]] On Behalf Of Noam
> Postavsky
> Sent: Wednesday, 18 October 2017 12:36 pm
> To: Francis Wright <[email-masked]>
> Cc: [email-masked]
> Subject: Re: bug#28888: 26.0.90; nt/INSTALL.W64
> 
> Francis Wright <[email-masked]> writes:
> 
> > I noticed the following errors in the 64-bit Windows build
> > instructions in the file nt/INSTALL.W64 when using a new MSYS2
> installation.
> 
> There is some ongoing discussion on this in Bug#28601.
> 
> > The library liblcms2 is not currently available using pacman, which
> > causes the pacman command shown to fail, but it works if that library
> > is removed. It might be best to recommend trying to install liblcms2
> > separately, in the hope that it will become available in the future.
> 
> Actually, the package was just renamed to mingw-w64-x86_64-lcms2.
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?users=emacs;bug=28601#77

OK, I'll try that when I build the next update. Thanks.

> > There is no file mingw64_shell.bat in the \msys64 folder. However,
> > there is an item labelled "MSYS2 MinGW 64-bit" in the Windows Start
> > menu, which seems to work correctly. Also, msys2_shell.bat is actually
> > msys2_shell.cmd.
> 
> Can you check what that item links to?  I guess it should be
> C:\msys64\mingw64.exe (which is also one of the updates discussed in
> Bug#28601).
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?users=emacs;bug=28601#29

"MSYS2 MinGW 64-bit" in my Windows Start menu is a shortcut to "C:\msys64\msys2_shell.cmd -mingw64".

> > Apart from the above issues the build went well and the resulting
> > version of Emacs seems to have worked correctly so far.
> 
> Did you change the Windows PATH?  The instructions currently suggest
> this, but it seems no longer needed for Emacs 26, and it causes some extra
> complication with Msys find vs builtin Windows find.exe.
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28601;filename=INSTALL.
> W64.diff;att=1;msg=65
> (near the bottom)

No, I didn't change the Windows path because I don't want this new MSYS environment to get mixed up with my normal environment. The build ran fine without any modification to my path. The various options to start a MSYS shell seem to set the path appropriately within that shell and Emacs runs fine from the shell. However, it doesn't find various required dlls when I run it outside a MSYS shell and it requires more dlls than I had expected. The most obvious is libXpm-noX4.dll, but libgnutls-30.dll requires another 10 dependent dlls! So a full set of dlls is going to be quite big.

Best wishes, Francis